Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.action.hyperlinks
Class LocalPageHyperlinkProducerFactory

    java.lang.Object
      com.jaspersoft.jasperserver.war.action.hyperlinks.LocalPageHyperlinkProducerFactory

All Implemented Interfaces:
  HyperlinkProducerFlowFactory, java.io.Serializable, net.sf.jasperreports.engine.export.JRHyperlinkProducer

    public class LocalPageHyperlinkProducerFactory

extends java.lang.Object
implements HyperlinkProducerFlowFactory, net.sf.jasperreports.engine.export.JRHyperlinkProducer, java.io.Serializable

Version:
  $Id: LocalPageHyperlinkProducerFactory.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Constructor Summary
`LocalPageHyperlinkProducerFactory()`

Method Summary
`java.lang.String` | `getHyperlink(net.sf.jasperreports.engine.JRPrintHyperlink hyperlink)`
`net.sf.jasperreports.engine.export.JRHyperlinkProducer` | `getHyperlinkProducer(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`java.lang.String` | `getNavigateToPageFunction()`
`void` | `setNavigateToPageFunction(java.lang.String navigateToPageFunction)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalPageHyperlinkProducerFactory

    public LocalPageHyperlinkProducerFactory()

Method Detail

### getHyperlinkProducer

    public net.sf.jasperreports.engine.export.JRHyperlinkProducer getHyperlinkProducer(javax.servlet.http.HttpServletRequest request,
                                                                                       javax.servlet.http.HttpServletResponse response)

  Specified by:
    `getHyperlinkProducer` in interface `HyperlinkProducerFlowFactory`

### getHyperlink

    public java.lang.String getHyperlink(net.sf.jasperreports.engine.JRPrintHyperlink hyperlink)

  Specified by:
    `getHyperlink` in interface `net.sf.jasperreports.engine.export.JRHyperlinkProducer`

### getNavigateToPageFunction

    public java.lang.String getNavigateToPageFunction()

### setNavigateToPageFunction

    public void setNavigateToPageFunction(java.lang.String navigateToPageFunction)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.